cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/procedures/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"conditions": [
[
{
"topicId": "<string>",
"fieldKey": "<string>",
"value": "<string>",
"customFieldName": "<string>"
}
]
],
"actions": [
{
"value": "<string>",
"macroId": "<string>",
"fieldId": "<string>",
"collect": {},
"knowledgeSourceIds": [
"<string>"
]
}
],
"whenToUse": "<string>",
"examples": {
"use": [
"<string>"
],
"dontUse": [
"<string>"
]
},
"triggerThreshold": 0.625,
"finish": {
"handoffAfterFields": [
"<string>"
]
},
"deviation": {},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "instruction",
"content": [
{
"type": "text",
"text": "<string>"
}
]
}
]
}
}
'import requests
url = "https://app-api.aide.app/v1/procedures/{id}"
payload = {
"name": "<string>",
"conditions": [[
{
"topicId": "<string>",
"fieldKey": "<string>",
"value": "<string>",
"customFieldName": "<string>"
}
]],
"actions": [
{
"value": "<string>",
"macroId": "<string>",
"fieldId": "<string>",
"collect": {},
"knowledgeSourceIds": ["<string>"]
}
],
"whenToUse": "<string>",
"examples": {
"use": ["<string>"],
"dontUse": ["<string>"]
},
"triggerThreshold": 0.625,
"finish": { "handoffAfterFields": ["<string>"] },
"deviation": {},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "instruction",
"content": [
{
"type": "text",
"text": "<string>"
}
]
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
conditions: [
[
{
topicId: '<string>',
fieldKey: '<string>',
value: '<string>',
customFieldName: '<string>'
}
]
],
actions: [
{
value: '<string>',
macroId: '<string>',
fieldId: '<string>',
collect: {},
knowledgeSourceIds: ['<string>']
}
],
whenToUse: '<string>',
examples: {use: ['<string>'], dontUse: ['<string>']},
triggerThreshold: 0.625,
finish: {handoffAfterFields: ['<string>']},
deviation: {},
procedure: {
schema: 1,
steps: [
{
id: '<string>',
type: 'instruction',
content: [{type: 'text', text: '<string>'}]
}
]
}
})
};
fetch('https://app-api.aide.app/v1/procedures/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/procedures/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'conditions' => [
[
[
'topicId' => '<string>',
'fieldKey' => '<string>',
'value' => '<string>',
'customFieldName' => '<string>'
]
]
],
'actions' => [
[
'value' => '<string>',
'macroId' => '<string>',
'fieldId' => '<string>',
'collect' => [
],
'knowledgeSourceIds' => [
'<string>'
]
]
],
'whenToUse' => '<string>',
'examples' => [
'use' => [
'<string>'
],
'dontUse' => [
'<string>'
]
],
'triggerThreshold' => 0.625,
'finish' => [
'handoffAfterFields' => [
'<string>'
]
],
'deviation' => [
],
'procedure' => [
'schema' => 1,
'steps' => [
[
'id' => '<string>',
'type' => 'instruction',
'content' => [
[
'type' => 'text',
'text' => '<string>'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/procedures/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"actions\": [\n {\n \"value\": \"<string>\",\n \"macroId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"collect\": {},\n \"knowledgeSourceIds\": [\n \"<string>\"\n ]\n }\n ],\n \"whenToUse\": \"<string>\",\n \"examples\": {\n \"use\": [\n \"<string>\"\n ],\n \"dontUse\": [\n \"<string>\"\n ]\n },\n \"triggerThreshold\": 0.625,\n \"finish\": {\n \"handoffAfterFields\": [\n \"<string>\"\n ]\n },\n \"deviation\": {},\n \"procedure\": {\n \"schema\": 1,\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"instruction\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\"\n }\n ]\n }\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/procedures/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"actions\": [\n {\n \"value\": \"<string>\",\n \"macroId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"collect\": {},\n \"knowledgeSourceIds\": [\n \"<string>\"\n ]\n }\n ],\n \"whenToUse\": \"<string>\",\n \"examples\": {\n \"use\": [\n \"<string>\"\n ],\n \"dontUse\": [\n \"<string>\"\n ]\n },\n \"triggerThreshold\": 0.625,\n \"finish\": {\n \"handoffAfterFields\": [\n \"<string>\"\n ]\n },\n \"deviation\": {},\n \"procedure\": {\n \"schema\": 1,\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"instruction\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\"\n }\n ]\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/procedures/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"actions\": [\n {\n \"value\": \"<string>\",\n \"macroId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"collect\": {},\n \"knowledgeSourceIds\": [\n \"<string>\"\n ]\n }\n ],\n \"whenToUse\": \"<string>\",\n \"examples\": {\n \"use\": [\n \"<string>\"\n ],\n \"dontUse\": [\n \"<string>\"\n ]\n },\n \"triggerThreshold\": 0.625,\n \"finish\": {\n \"handoffAfterFields\": [\n \"<string>\"\n ]\n },\n \"deviation\": {},\n \"procedure\": {\n \"schema\": 1,\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"instruction\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\"\n }\n ]\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "scenario",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "draft",
"updatedAt": "<string>",
"isActive": true,
"agentId": "<string>",
"priority": "high",
"draft": {
"name": "<string>",
"priority": "high",
"actions": [
{
"value": "<string>",
"macro": {
"name": "<string>",
"id": "<string>"
},
"type": "ADD_TAG",
"field": {
"id": "<string>",
"label": "<string>"
},
"collect": {
"required": true,
"mode": "always_ask"
},
"knowledgeSources": [
{
"name": "<string>",
"id": "<string>"
}
]
}
],
"examples": {
"use": [
"<string>"
],
"dontUse": [
"<string>"
]
},
"applyAlways": true,
"delay": "10",
"deviation": {
"question": "leave",
"person": "handoff",
"otherProcedure": "stay"
},
"finish": {
"kind": "close",
"handoffAfterFields": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "condition",
"branches": [
{
"id": "<string>",
"when": "<string>",
"steps": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
],
"otherwise": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
]
},
"triggerThreshold": 123,
"whenToUse": "<string>",
"conditions": [
[
{
"value": "<string>",
"topic": {
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"categoryId": "<string>"
},
"type": "CONTACT_FIELD",
"operator": "IS",
"fieldKey": "<string>",
"customFieldName": "<string>"
}
]
]
},
"actions": [
{
"value": "<string>",
"macro": {
"name": "<string>",
"id": "<string>"
},
"type": "ADD_TAG",
"field": {
"id": "<string>",
"label": "<string>"
},
"collect": {
"required": true,
"mode": "always_ask"
},
"knowledgeSources": [
{
"name": "<string>",
"id": "<string>"
}
]
}
],
"examples": {
"use": [
"<string>"
],
"dontUse": [
"<string>"
]
},
"runCount": 123,
"publishedAt": "<string>",
"applyAlways": true,
"delay": "10",
"deviation": {
"question": "leave",
"person": "handoff",
"otherProcedure": "stay"
},
"finish": {
"kind": "close",
"handoffAfterFields": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "condition",
"branches": [
{
"id": "<string>",
"when": "<string>",
"steps": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
],
"otherwise": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
]
},
"triggerThreshold": 123,
"whenToUse": "<string>",
"conditions": [
[
{
"value": "<string>",
"topic": {
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"categoryId": "<string>"
},
"type": "CONTACT_FIELD",
"operator": "IS",
"fieldKey": "<string>",
"customFieldName": "<string>"
}
]
],
"missingWhenToUse": true,
"knowledgeConflicts": [
{
"agent": {
"name": "<string>",
"id": "<string>"
},
"ignored": true,
"outsideSourceIds": [
"<string>"
]
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Scenario
Patch v1procedures
PATCH
/
v1
/
procedures
/
{id}
cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/procedures/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"conditions": [
[
{
"topicId": "<string>",
"fieldKey": "<string>",
"value": "<string>",
"customFieldName": "<string>"
}
]
],
"actions": [
{
"value": "<string>",
"macroId": "<string>",
"fieldId": "<string>",
"collect": {},
"knowledgeSourceIds": [
"<string>"
]
}
],
"whenToUse": "<string>",
"examples": {
"use": [
"<string>"
],
"dontUse": [
"<string>"
]
},
"triggerThreshold": 0.625,
"finish": {
"handoffAfterFields": [
"<string>"
]
},
"deviation": {},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "instruction",
"content": [
{
"type": "text",
"text": "<string>"
}
]
}
]
}
}
'import requests
url = "https://app-api.aide.app/v1/procedures/{id}"
payload = {
"name": "<string>",
"conditions": [[
{
"topicId": "<string>",
"fieldKey": "<string>",
"value": "<string>",
"customFieldName": "<string>"
}
]],
"actions": [
{
"value": "<string>",
"macroId": "<string>",
"fieldId": "<string>",
"collect": {},
"knowledgeSourceIds": ["<string>"]
}
],
"whenToUse": "<string>",
"examples": {
"use": ["<string>"],
"dontUse": ["<string>"]
},
"triggerThreshold": 0.625,
"finish": { "handoffAfterFields": ["<string>"] },
"deviation": {},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "instruction",
"content": [
{
"type": "text",
"text": "<string>"
}
]
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
conditions: [
[
{
topicId: '<string>',
fieldKey: '<string>',
value: '<string>',
customFieldName: '<string>'
}
]
],
actions: [
{
value: '<string>',
macroId: '<string>',
fieldId: '<string>',
collect: {},
knowledgeSourceIds: ['<string>']
}
],
whenToUse: '<string>',
examples: {use: ['<string>'], dontUse: ['<string>']},
triggerThreshold: 0.625,
finish: {handoffAfterFields: ['<string>']},
deviation: {},
procedure: {
schema: 1,
steps: [
{
id: '<string>',
type: 'instruction',
content: [{type: 'text', text: '<string>'}]
}
]
}
})
};
fetch('https://app-api.aide.app/v1/procedures/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/procedures/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'conditions' => [
[
[
'topicId' => '<string>',
'fieldKey' => '<string>',
'value' => '<string>',
'customFieldName' => '<string>'
]
]
],
'actions' => [
[
'value' => '<string>',
'macroId' => '<string>',
'fieldId' => '<string>',
'collect' => [
],
'knowledgeSourceIds' => [
'<string>'
]
]
],
'whenToUse' => '<string>',
'examples' => [
'use' => [
'<string>'
],
'dontUse' => [
'<string>'
]
],
'triggerThreshold' => 0.625,
'finish' => [
'handoffAfterFields' => [
'<string>'
]
],
'deviation' => [
],
'procedure' => [
'schema' => 1,
'steps' => [
[
'id' => '<string>',
'type' => 'instruction',
'content' => [
[
'type' => 'text',
'text' => '<string>'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/procedures/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"actions\": [\n {\n \"value\": \"<string>\",\n \"macroId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"collect\": {},\n \"knowledgeSourceIds\": [\n \"<string>\"\n ]\n }\n ],\n \"whenToUse\": \"<string>\",\n \"examples\": {\n \"use\": [\n \"<string>\"\n ],\n \"dontUse\": [\n \"<string>\"\n ]\n },\n \"triggerThreshold\": 0.625,\n \"finish\": {\n \"handoffAfterFields\": [\n \"<string>\"\n ]\n },\n \"deviation\": {},\n \"procedure\": {\n \"schema\": 1,\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"instruction\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\"\n }\n ]\n }\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/procedures/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"actions\": [\n {\n \"value\": \"<string>\",\n \"macroId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"collect\": {},\n \"knowledgeSourceIds\": [\n \"<string>\"\n ]\n }\n ],\n \"whenToUse\": \"<string>\",\n \"examples\": {\n \"use\": [\n \"<string>\"\n ],\n \"dontUse\": [\n \"<string>\"\n ]\n },\n \"triggerThreshold\": 0.625,\n \"finish\": {\n \"handoffAfterFields\": [\n \"<string>\"\n ]\n },\n \"deviation\": {},\n \"procedure\": {\n \"schema\": 1,\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"instruction\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\"\n }\n ]\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/procedures/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"conditions\": [\n [\n {\n \"topicId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"customFieldName\": \"<string>\"\n }\n ]\n ],\n \"actions\": [\n {\n \"value\": \"<string>\",\n \"macroId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"collect\": {},\n \"knowledgeSourceIds\": [\n \"<string>\"\n ]\n }\n ],\n \"whenToUse\": \"<string>\",\n \"examples\": {\n \"use\": [\n \"<string>\"\n ],\n \"dontUse\": [\n \"<string>\"\n ]\n },\n \"triggerThreshold\": 0.625,\n \"finish\": {\n \"handoffAfterFields\": [\n \"<string>\"\n ]\n },\n \"deviation\": {},\n \"procedure\": {\n \"schema\": 1,\n \"steps\": [\n {\n \"id\": \"<string>\",\n \"type\": \"instruction\",\n \"content\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\"\n }\n ]\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "scenario",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "draft",
"updatedAt": "<string>",
"isActive": true,
"agentId": "<string>",
"priority": "high",
"draft": {
"name": "<string>",
"priority": "high",
"actions": [
{
"value": "<string>",
"macro": {
"name": "<string>",
"id": "<string>"
},
"type": "ADD_TAG",
"field": {
"id": "<string>",
"label": "<string>"
},
"collect": {
"required": true,
"mode": "always_ask"
},
"knowledgeSources": [
{
"name": "<string>",
"id": "<string>"
}
]
}
],
"examples": {
"use": [
"<string>"
],
"dontUse": [
"<string>"
]
},
"applyAlways": true,
"delay": "10",
"deviation": {
"question": "leave",
"person": "handoff",
"otherProcedure": "stay"
},
"finish": {
"kind": "close",
"handoffAfterFields": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "condition",
"branches": [
{
"id": "<string>",
"when": "<string>",
"steps": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
],
"otherwise": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
]
},
"triggerThreshold": 123,
"whenToUse": "<string>",
"conditions": [
[
{
"value": "<string>",
"topic": {
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"categoryId": "<string>"
},
"type": "CONTACT_FIELD",
"operator": "IS",
"fieldKey": "<string>",
"customFieldName": "<string>"
}
]
]
},
"actions": [
{
"value": "<string>",
"macro": {
"name": "<string>",
"id": "<string>"
},
"type": "ADD_TAG",
"field": {
"id": "<string>",
"label": "<string>"
},
"collect": {
"required": true,
"mode": "always_ask"
},
"knowledgeSources": [
{
"name": "<string>",
"id": "<string>"
}
]
}
],
"examples": {
"use": [
"<string>"
],
"dontUse": [
"<string>"
]
},
"runCount": 123,
"publishedAt": "<string>",
"applyAlways": true,
"delay": "10",
"deviation": {
"question": "leave",
"person": "handoff",
"otherProcedure": "stay"
},
"finish": {
"kind": "close",
"handoffAfterFields": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"procedure": {
"schema": 1,
"steps": [
{
"id": "<string>",
"type": "condition",
"branches": [
{
"id": "<string>",
"when": "<string>",
"steps": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
],
"otherwise": [
{
"content": [
{
"kind": "action",
"action": "ADD_TAG",
"type": "chip",
"label": "<string>",
"missing": true,
"value": "<string>",
"macro": "<string>"
}
],
"id": "<string>",
"type": "instruction"
}
]
}
]
},
"triggerThreshold": 123,
"whenToUse": "<string>",
"conditions": [
[
{
"value": "<string>",
"topic": {
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"categoryId": "<string>"
},
"type": "CONTACT_FIELD",
"operator": "IS",
"fieldKey": "<string>",
"customFieldName": "<string>"
}
]
],
"missingWhenToUse": true,
"knowledgeConflicts": [
{
"agent": {
"name": "<string>",
"id": "<string>"
},
"ignored": true,
"outsideSourceIds": [
"<string>"
]
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
accessTokenapiKey
An access token, bound to one account.
Path Parameters
Body
application/json
Required string length:
1 - 255Available options:
1, 1, true, true, on, 0, 0, false, false Available options:
low, medium, high Available options:
none, 5, 10, 15 Available options:
1, 1, true, true, on, 0, 0, false, false Maximum array length:
20Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Maximum array length:
20Show child attributes
Show child attributes
Maximum string length:
300Show child attributes
Show child attributes
Required range:
0.3 <= x <= 0.95Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes